-- ticker symbols referenced in tip
select distinct symbol
from [DataScience].[dbo].[stooq_prices]
where symbol in ('AAPL', 'GOOGL', 'MSFT')


-- display initial 5 time series rows for AAPL
select top 5 symbol, date, [close]
from [DataScience].[dbo].[stooq_prices]
where symbol = 'AAPL'
order by symbol, date asc

-- display most recent 5 time series rows for GOOGL
drop table if exists #most_reent_from_GOOGL

select top 5 symbol, date, [close]
into #most_reent_from_GOOGL
from [DataScience].[dbo].[stooq_prices]
where symbol = 'GOOGL'
order by symbol, date desc

select *
from #most_reent_from_GOOGL
order by date


-- display time series rows for MSFT
-- from 2021-01-01 through 2021-04-30
declare 
 @symbol varchar(5) = 'MSFT'
,@start_date date = '2021-01-01'
,@end_date date = '2021-04-30'


select symbol, date, [close]
from [DataScience].[dbo].[stooq_prices]
where symbol = @symbol
and date >= @start_date and date <= @end_date

-- display count of MSFT time series dates in date range 
set @symbol = 'MSFT'
select count(date) [count of MSFT dates in date range]
from [DataScience].[dbo].[stooq_prices]
where symbol = @symbol
and date >= @start_date and date <= @end_date


-- display count of GOOGL time series dates in date range 
set @symbol = 'GOOGL'
select count(date) [count of GOOGL dates in date range]
from [DataScience].[dbo].[stooq_prices]
where symbol = @symbol
and date >= @start_date and date <= @end_date

-- display count of AAPL time series dates in date range 
set @symbol = 'AAPL'
select count(date) [count of AAPL dates in date range]
from [DataScience].[dbo].[stooq_prices]
where symbol = @symbol
and date >= @start_date and date <= @end_date
